Subject: Re: [bug#44493] [PATCH 0/1] gnu: bitcoin-core: Update to 0.20.1.
From: Christopher Baines <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Nov 2020 08:48:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon South <[email-masked]> writes:

> This patch updates Bitcoin Core, the reference implementation of the Bitcoin
> protocol, to 0.20.1.
>
> I've followed the instructions[0] for verifying the downloaded source bundle,
> though of course you may still want to do the same.

So, I downloaded sha256 file with the GPG signature, and checked against
this, which was fine.

> My changes remove an obsolete patch whose contents are now part of the
> distribution. They also
>
> - Add autoconf, automake and libtool as native inputs, as this release does
>   not include a pre-generated "configure" script[1].
>
> - Remove protobuf from the inputs, as with the removal of BIP70 support in
>   version 0.20.0[2] this is no longer used[3].
>
> - Add a phase before "build" that sets an environment variable,
>   "BITCOIN_GENBUILD_NO_GIT", as recommended in the release notes[4], to
>   indicate the build is not being made from within a git repository. (This
>   isn't really necessary, since the section of code this variable
>   controls---in share/genbuild.sh---will be skipped anyway without git
>   available in the container. But I've added it for certainty and
>   completeness.)
>
> I've built this successfully on x86-64 and AArch64, and am using it now on
> AArch64 without issue.
>
> [0] https://bitcoincore.org/en/download/#verify-your-download
> [1] https://bitcoincore.org/en/releases/0.20.1/#known-bugs
> [2] https://bitcoincore.org/en/releases/0.20.0/#build-system
> [3] https://github.com/bitcoin/bitcoin/pull/19058
> [4] https://bitcoincore.org/en/releases/0.20.1/#known-bugs
>
> --
> Simon South
> [email-masked]
>
>
> Simon South (1):
>   gnu: bitcoin-core: Update to 0.20.1.
>
>  gnu/local.mk                                  |  1 -
>  gnu/packages/finance.scm                      | 18 ++++++++----
>  .../patches/bitcoin-core-python-compat.patch  | 28 -------------------
>  3 files changed, 13 insertions(+), 34 deletions(-)
>  delete mode 100644 gnu/packages/patches/bitcoin-core-python-compat.patch

Thanks Simon, this all looks great. I've pushed to master as
fa268b28e1ccc392c85846810d836034c96df3c0.

Thanks again,

Chris